summaryrefslogtreecommitdiff
path: root/localedata/tst-trans.sh
diff options
context:
space:
mode:
authorUlrich Drepper <drepper@redhat.com>1999-11-21 06:51:06 +0000
committerUlrich Drepper <drepper@redhat.com>1999-11-21 06:51:06 +0000
commita2236316645f0e4c3c9b286a7f908da786b9726f (patch)
tree3e6f677872dc7e0301867333c0f0be193ff82146 /localedata/tst-trans.sh
parent1ceb8afe3d8c3c9b1ca7a6f0d13ee762667f397d (diff)
Update.
* locale/programs/ld-monetary.c (monetary_finish): Don't print individual error message if nothing is defined.
Diffstat (limited to 'localedata/tst-trans.sh')
-rwxr-xr-xlocaledata/tst-trans.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/localedata/tst-trans.sh b/localedata/tst-trans.sh
new file mode 100755
index 0000000000..d65d1abe0f
--- /dev/null
+++ b/localedata/tst-trans.sh
@@ -0,0 +1,36 @@
+#! /bin/sh
+# Test character mapping definitions.
+# Copyright (C) 1999 Free Software Foundation, Inc.
+# This file is part of the GNU C Library.
+#
+# The GNU C Library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Library General Public License as
+# published by the Free Software Foundation; either version 2 of the
+# License, or (at your option) any later version.
+#
+# The GNU C Library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Library General Public License for more details.
+#
+# You should have received a copy of the GNU Library General Public
+# License along with the GNU C Library; see the file COPYING.LIB. If
+# not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+
+common_objpfx=$1
+
+# Generate the necessary locale data.
+I18NPATH=. \
+${common_objpfx}elf/ld-linux --library-path $common_objpfx \
+${common_objpfx}locale/localedef --quiet \
+-i tests/trans.def -f ISO-8859-1 -u mnemonic.ds \
+${common_objpfx}localedata/tt_TT ||
+exit 1
+
+# Run the test program.
+LOCPATH=${common_objpfx}localedata LC_ALL=tt_TT \
+${common_objpfx}elf/ld-linux --library-path $common_objpfx \
+${common_objpfx}localedata/tst-trans
+
+exit $?